html{
  scroll-behavior: smooth;
}

body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  justify-content: center;
  align-items: center;
  position: relative; /* Asegura que el pseudo-elemento esté en relación con el body */
  background: linear-gradient(270deg, #0b111e, #0a0f1a, #1a1a1a, #0b111e);
  background-size: 400% 400%;
  animation: backgroundMove 20s ease infinite;
  overflow-x: hidden;
}

/* Contenedor para más estrellas en diferentes direcciones */
body::before, body::after, .extra-star-1, .extra-star-2, .extra-star-3, .extra-star-4, .extra-star-5, 
.extra-star-6, .extra-star-7, .extra-star-8, .extra-star-9, .extra-star-10 {
  content: "";
  position: absolute;
  width: 2px;
  height: 2px;
  background-color: white;
  box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.8);
  opacity: 0;
}

body::before {
  animation: shootingStars 10s linear infinite;
  top: 100%; /* Empieza desde la parte inferior */
  left: 0;
}

body::after {
  animation: shootingStarsDiagonal 15s linear infinite 5s;
  top: 50%; /* Empieza desde la mitad */
  left: -20%; /* Empieza desde fuera de la pantalla */
}

/* Estrellas adicionales en diferentes direcciones */
.extra-star-1 {
  animation: shootingStarsVertical 12s linear infinite 8s;
  top: -10%;
  left: 50%;
}

.extra-star-2 {
  animation: shootingStarsDiagonalInverse 8s linear infinite 8s;
  top: 100%;
  left: 80%;
}

.extra-star-3 {
  animation: shootingStarsHorizontal 9s linear infinite 4s;
  top: 20%;
  left: 0;
}

.extra-star-4 {
  animation: shootingStarsDiagonal 14s linear infinite 8s;
  top: 30%;
  left: -20%;
}

.extra-star-5 {
  animation: shootingStarsVertical 11s linear infinite 8s;
  top: -10%;
  left: 70%;
}

.extra-star-6 {
  animation: shootingStarsHorizontal 7s linear infinite 2s;
  top: 80%;
  left: -10%;
}

.extra-star-7 {
  animation: shootingStarsDiagonalInverse 12s linear infinite 7s;
  top: 90%;
  left: 90%;
}

.extra-star-8 {
  animation: shootingStarsDiagonalInverse 13s linear infinite 7s;
  top: 100%;
  left: 20%;
}

.extra-star-9 {
  animation: shootingStarsHorizontal 10s linear infinite 0.5s;
  top: 50%;
  left: -20%;
}

.extra-star-10 {
  animation: shootingStarsDiagonal 6s linear infinite 6s;
  top: 10%;
  left: -20%;
}

@keyframes backgroundMove {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/* Animación para las estrellas fugaces que se mueven de abajo hacia arriba */
@keyframes shootingStars {
  0% {
    top: 500%;
    left: 0;
    opacity: 0;
    box-shadow: none;
  }
  10% {
    opacity: 1;
    box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.1);
  }
  50% {
    top: -250%;
    left: 100%;
    opacity: 1;
    box-shadow: 0 -5px 30px 10px rgba(255, 255, 255, 0.1);
  }
  100% {
    top: -500%;
    left: 110%;
    opacity: 0;
    box-shadow: none;
  }
}

/* Estrellas que se mueven en diagonal de abajo a arriba */
@keyframes shootingStarsDiagonal {
  0% {
    top: 500%;
    left: -10%;
    opacity: 0;
    box-shadow: none;
  }
  10% {
    opacity: 1;
    box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.1);
  }
  50% {
    top: -250%;
    left: 100%;
    opacity: 1;
    box-shadow: 0 -5px 30px 10px rgba(255, 255, 255, 0.1);
  }
  100% {
    top: -500%;
    left: 110%;
    opacity: 0;
    box-shadow: none;
  }
}

/* Estrellas que se mueven en dirección contraria (de derecha a izquierda) */
@keyframes shootingStarsDiagonalInverse {
  0% {
    top: 500%;
    left: 100%;
    opacity: 0;
    box-shadow: none;
  }
  10% {
    opacity: 1;
    box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.1);
  }
  50% {
    top: -250%;
    left: -10%;
    opacity: 1;
    box-shadow: 0 -5px 30px 10px rgba(255, 255, 255, 0.1);
  }
  100% {
    top: -500%;
    left: -20%;
    opacity: 0;
    box-shadow: none;
  }
}

/* Estrellas que se mueven de izquierda a derecha horizontalmente */
@keyframes shootingStarsHorizontal {
  0% {
    left: -10%;
    opacity: 0;
    box-shadow: none;
  }
  10% {
    opacity: 1;
    box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.1);
  }
  50% {
    left: 100%;
    opacity: 1;
    box-shadow: 0 5px 30px 10px rgba(255, 255, 255, 0.1);
  }
  100% {
    left: 110%;
    opacity: 0;
    box-shadow: none;
  }
}

/* Estrellas que se mueven de arriba hacia abajo verticalmente */
@keyframes shootingStarsVertical {
  0% {
    top: -500%;
    left: 50%;
    opacity: 0;
    box-shadow: none;
  }
  10% {
    opacity: 1;
    box-shadow: 0 0 10px 10px rgba(255, 255, 255, 0.1);
  }
  50% {
    top: 250%;
    opacity: 1;
    box-shadow: 0 5px 30px 10px rgba(255, 255, 255, 0.1);
  }
  100% {
    top: 500%;
    opacity: 0;
    box-shadow: none;
  }
}

p {
  font-size: 13px;
  color: #7a7a7a;
  line-height: 24px;
}

.page-content {
  width: 77.5%;
  float: right;
}

.content-section {
  padding-top: 80px;
  position: relative;
  width: 100%;
  display: inline-block;
  height: auto;
  left: 50%;
  text-align: center;
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  transform: translateX(-50%);
}

.content-section-education {
  padding-top: 50px;
  position: relative;
  width: 90%;
  display: inline-block;
  left: 50%;
  text-align: center;
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  transform: translateX(-50%);
  margin-bottom: 50px;
}

.content-section-contact {
  padding-top: 50px;
  position: relative;
  width: 90%;
  left: 50%;
  text-align: center;
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  transform: translateX(-50%);
  margin-bottom: 50px;
}

#contact::before {
  content: '\f1fa'; /* Código del icono "code" de Font Awesome */
  font-family: 'Font Awesome 5 Free'; /* Fuente de Font Awesome */
  font-weight: 900;
  position: absolute;
  top: -10px;
  font-size: 18px; /* Tamaño del icono */
  color: #2fc4b1; /* Color del icono */
  text-shadow: 0 0 8px rgba(47, 196, 177, 0.8); /* Añadimos un leve resplandor al icono */
  box-shadow: 0 0 200px rgba(47, 196, 177, 0.4),
              10px 200 15px rgba(47, 196, 177, 0.3),
              20px 200 20px rgba(47, 196, 177, 0.2),
              30px 200 25px rgba(47, 196, 177, 0.1); /* Estela */
  animation: borderAnimadoDER 30s infinite ease-in-out;
  opacity: 0;
  filter: blur(5px); /* Comienza difuminado */
}

.section-heading {
  text-align: left;
  position: relative;
  margin-bottom: 60px;
}

.section-heading h1 {
  margin-top: 0px;
  font-size: 32px;
  color: white;
  display: inline-block;
  margin-right: 50px;
}

.section-heading em {
  font-style: normal;
  font-weight: 700;
  color: #2fc4b1;
}

.section-heading p {
  display: inline-block;
  line-height: 26px;
  position: absolute;
  top: 12.5px;
  right: 0;
  text-align: right;
  color: #9ca5b3;
  font-size: 16px;
  margin-bottom: 40px;
}

.white-button a {
  font-size: 13px;
  font-weight: 600;
  color: #45489a;
  text-transform: capitalize;
  background-color: #fff;
  display: inline-block;
  height: 44px;
  line-height: 44px;
  padding: 0px 25px;
  letter-spacing: 0.25px;
  text-decoration: none;
  transition: all 0.3s;
}

.white-button a:hover {
  background-color: #45489a;
  color: #fff;
}

.accent-button a {
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  text-transform: capitalize;
  background-color: #45489a;
  display: inline-block;
  height: 44px;
  line-height: 44px;
  padding: 0px 25px;
  letter-spacing: 0.25px;
  text-decoration: none;
  transition: all 0.3s;
}

.accent-button a:hover {
  background-color: #fff;
  color: #45489a;
}

header {
    position: fixed;
    top: 0;
    transition: top 0.3s ease-in-out;
    width: 100%;
}

.nav-up {
    top: -75px;
}

/* Responsive Navigation */

.responsive-nav {
  position: fixed;
  z-index: 10;
  width: 100%;
  height: 80px;
  background-color: rgba(250,250,250,.95);
  box-shadow: 0px 5px 15px rgba(0,0,0,0.2);
}

.navbar-toggle {
  position: absolute;
  top: 40%;
  left: 50%;
  display: inline-block;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
}

.navbar-nav {
  margin: 0;
  border: none;
}

#main-nav ul {
  text-align: center;
  background-color: rgba(0,0,0,0.9);
  margin-top: 59px;
  width: 100%;
}
#main-nav ul li {
  margin: 15px 0px;
}
#main-nav ul li:hover {
  background-color: transparent;
}
#main-nav ul li a {
  font-size: 15px;
  text-transform: capitalize;
  color: #fff;
  box-shadow: none;
  border: none;
}

#main-nav ul li a:hover {
  opacity: 0.5;
  background-color: transparent;
}

.navbar-toggle span {
  background-color: #232323;
}


/* Sidebar Style */

.sidebar-navigation {
  width: 22.5%;
  float: left;
  height: 100%;
  position: fixed;
  background-color: rgba(11,17,30,0.9);
  z-index: 10;
  font-family: 'Open Sans', sans-serif;
}

.sidebar-navigation .logo {
  position: absolute;
  width: 100%;
  height: 40%;
  line-height: 100px;
  background: none;
  padding: 20px;
  text-align: center;
}

.sidebar-navigation .logo a {
  text-decoration: none;
  color: #fff;
  font-size: 24px;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  height: 100px;
  width: 100%;
  display: inline-block;
  border: 1px solid rgba(250,250,250,0.5);
}

.sidebar-navigation .logo em {
  font-style: normal;
  font-weight: 300;
}

.sidebar-navigation nav {
  position: relative;
  top: 60%;
  left: 60%;
  -webkit-transform: translateX(-60%) translateY(-60%);
  -moz-transform: translateX(-60%) translateY(-60%);
  -ms-transform: translateX(-60%) translateY(-60%);
  -o-transform: translateX(-60%) translateY(-60%);
  transform: translateX(-60%) translateY(-60%);
}

.sidebar-navigation ul {
  margin-left: 45px;
  list-style: none;
  padding: 0;
}
.sidebar-navigation li{
  padding: 10px 0;
}
.sidebar-navigation span{
  display: inline-block;
  position:relative;
}
.sidebar-navigation nav a{
  display: inline-block;
  color: #fff;
  margin-top: 5px;
  text-decoration: none!important;
  font-size: 15px;
  letter-spacing: 0.5px;
  text-transform: capitalize;
}
.circle{
  margin-right: 5px;
  height: 10px;
  width: 10px;
  left: 0px;
  top: -1px;
  border-radius: 50%;
  background-color: transparent;
  border: 2px solid #fff;
  transition: all 0.3s;
}
.rect{
  height: 1px;
  width: 0px;
  left: 0;
  bottom: 5.5px;
  background-color: #fff;
  -webkit-transition: -webkit-transform 0.1s, width 0.6s;
  -moz-transition: -webkit-transform 0.1s, width 0.6s;
  transition: transform 0.1s, width 0.6s;
}
.sidebar-navigation nav a:focus {
  color: #fff;
}
.sidebar-navigation nav a:hover, nav .active-section {
  color: #fff;
}
.sidebar-navigation nav a:hover span, nav .active-section span{
  background-color: #ddd;
}
.sidebar-navigation nav .active-section .rect{
  width: 30px;
}
.sidebar-navigation nav .active-section .circle{
  background-color: #fff;
}

.sidebar-navigation .social-icons {
  position: absolute;
  width: 100%;  
  bottom: 10px;
  padding: 0;
  margin: 0;
  text-align: center;
}

.sidebar-navigation .social-icons li {
  display: inline-block;
  margin-right: 15px;
  margin-top: 0px;
  margin-bottom: 0px;
}
.sidebar-navigation .social-icons li:last-child {
  margin-right: 0px;
}

.sidebar-navigation .social-icons li a {
  font-size: 18px;
  color: #fff;
  transition: all 0.5s;
}

.sidebar-navigation .social-icons li a:hover {
  color: #45489a;
}


/* Slider Style */

.slider .content-section {
  padding-top: 0px;
  min-width: 100%;
  min-height: 100vh;
  width: 100%;
  height: 100vh;
  text-align: center;
}

.slider p a {
	color: #FFF;
}
.slider p a:hover {
	color: #FF0;
	text-decoration: none;
}

.Modern-Slider .info {
  text-align: center;
  position: absolute;
  z-index: 10;
  top: 50%;
  right: 60px;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  display: inline-block;
  width: 75%;
}

.Modern-Slider .info h1 {
  margin-top: 0px;
  margin-bottom: 15px;
  font-size: 60px;
  color: #eee;
  font-weight: 700;
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), /* Sombra negra */
               0 0 10px rgba(255, 255, 255, 0.4), /* Resplandor blanco suave */
               0 0 20px rgba(255, 255, 255, 0.2); /* Resplandor adicional, más pequeño */
  animation: glow 3s infinite alternate; /* Animación infinita */
  transition: transform 0.3s ease; /* Transición para el zoom al pasar el mouse */
}

@keyframes glow {
  0% {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), /* Sombra negra */
                 0 0 10px rgba(255, 255, 255, 0.4), /* Resplandor suave */
                 0 0 20px rgba(255, 255, 255, 0.2); /* Resplandor reducido */
  }
  50% {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), /* Sombra negra */
                 0 0 15px rgba(255, 255, 255, 0.6), /* Destello un poco más brillante */
                 0 0 30px rgba(255, 255, 255, 0.4); /* Resplandor ligeramente mayor */
  }
  100% {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), /* Sombra negra */
                 0 0 10px rgba(255, 255, 255, 0.4), /* Regresa al resplandor inicial */
                 0 0 20px rgba(255, 255, 255, 0.2); /* Resplandor reducido */
  }
}

.Modern-Slider .info h1:hover {
  transform: scale(1.1); /* Agrandar ligeramente el título al pasar el mouse */
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), /* Mantener la sombra negra */
               0 0 20px rgba(255, 255, 255, 0.6), /* Resplandor un poco más fuerte al hacer hover */
               0 0 30px rgba(255, 255, 255, 0.4); /* Resplandor más fuerte al hacer hover */
  color: #2fc4b1;
}

.Modern-Slider .info .white-button {
  margin-top: 30px;
}

.Modern-Slider .info .white-button a:focus {
  outline: none;
}

.Modern-Slider .slick-dots {
  opacity: 0;
}

.Modern-Slider .PrevArrow, .Modern-Slider .NextArrow {
  outline: none;
  position: absolute;
  top: 60px;
  width: 40px; /* Tamaño reducido del botón */
  height: 40px; /* Tamaño reducido del botón */
  background: rgba(47, 196, 177, 0.2); /* Fondo turquesa con transparencia */
  border: 2px solid #2fc4b1; /* Borde turquesa */
  border-radius: 50%; /* Hacer el botón circular */
  display: flex; /* Usamos flexbox */
  justify-content: center; /* Centrado horizontal */
  align-items: center; /* Centrado vertical */
  font-size: 24px; /* Tamaño del icono */
  color: #FFF; /* Color del icono */
  z-index: 5;
  cursor: pointer;
  transition: background 0.3s ease, transform 0.3s ease; /* Animaciones */
  font: 16px/50px FontAwesome;
}

/* Botón previo (flecha izquierda) */
.Modern-Slider .PrevArrow {
  right: 120px; /* Posición de la flecha izquierda */
}

.Modern-Slider .PrevArrow:before {
  content: '\f104'; /* Icono FontAwesome para la flecha izquierda */
}

/* Botón siguiente (flecha derecha) */
.Modern-Slider .NextArrow {
  right: 60px; /* Posición de la flecha derecha */
}

.Modern-Slider .NextArrow:before {
  content: '\f105'; /* Icono FontAwesome para la flecha derecha */
}

/* Animación al pasar el mouse por encima */
.Modern-Slider .PrevArrow:hover, .Modern-Slider .NextArrow:hover {
  background: #2fc4b1; /* Fondo turquesa completo al hacer hover */
  transform: scale(1.1); /* Aumenta ligeramente el tamaño al hacer hover */
  color: #0b111e; /* Cambia el color del icono al fondo oscuro */
}

/* Efecto pulsante para dar un pequeño resplandor */
.Modern-Slider .PrevArrow:hover:before, .Modern-Slider .NextArrow:hover:before {
  animation: pulse 1.2s infinite; /* Pulso infinito al pasar el mouse */
}

@keyframes pulse {
  0% {
    text-shadow: 0 0 5px rgba(47, 196, 177, 0.8);
  }
  50% {
    text-shadow: 0 0 15px rgba(47, 196, 177, 1);
  }
  100% {
    text-shadow: 0 0 5px rgba(47, 196, 177, 0.8);
  }
}


.Modern-Slider .item .image {
  width: 100%;
  height: 100vh;
  background-position: center center;
  background-size: cover;
  display: block;
}

/* Estilo para el botón de ubicación */
.location-button {
  display: inline-flex;
  align-items: center;
  background-color: none;
  color: #fff;
  padding: 8px 16px;
  border-radius: 20px;
  font-weight: 700;
  font-size: 14px;
  transition: background-color 0.3s ease;
  cursor: pointer;
  border: 1px solid #fff;
  margin-right: 5px;
}

.location-button i {
  margin-right: 8px;
  font-size: 16px;
}

.location-button .flag {
  width: 20px;
  height: 14px;
  margin-left: 8px;
}

.location-button:hover {
  background-color: #1fa798;
  color:#0a0f1a;
  border: 1px solid #1fa798;
}

.email-button {
  display: inline-flex;
  align-items: center;
  background-color: none;
  color: #2fc4b1;
  padding: 8px 16px;
  border-radius: 20px;
  font-weight: 700;
  font-size: 14px;
  transition: background-color 0.3s ease;
  cursor: pointer;
  border: 1px solid #2fc4b1;
}

.email-button i {
  margin-right: 8px;
  font-size: 16px;
}

.email-button .flag {
  width: 20px;
  height: 14px;
  margin-left: 8px;
}

.email-button:hover {
  background-color: #1fa798;
  color:#0a0f1a;
  border: 1px solid #1fa798;
}

/* Tooltip para la ubicación */
.tooltip-left {
  visibility: hidden;
  color: #2fc4b1;
  text-align: right;
  border-radius: 5px;
  position: absolute;
  /*
  transform: translateX(-135%);
  */
  right: 70%;
  white-space: nowrap;
  z-index: 1;
  font-size: 12px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.location-button:hover .tooltip-left {
  visibility: visible;
  opacity: 1;
}

/* Tooltip para copiar el email */
.tooltip-right {
  visibility: hidden;
  color: #2fc4b1;
  text-align: left;
  border-radius: 5px;
  white-space: nowrap;
  z-index: 1;
  font-size: 12px;
  opacity: 0;
  transition: opacity 0.3s ease;
  position: absolute;
  /*
  transform: translateX(470%);
  */
  left: 70%;
}

.email-button:hover .tooltip-right {
  visibility: visible;
  opacity: 1;
}

/* Contenedor de la sección de experiencia */
.experience-section {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* Crear tres columnas */
  gap: 20px;
  width: 75%;
  margin: 0 auto;
  padding: 0;
}

.experience-column {
  padding: 0;
}

/* Estilo para los títulos de cada columna */
.experience-column h3 {
  font-size: 18px;
  color: #fff;
}

.experience-column h3 i {
  margin-right: 5px;
  color: #2fc4b1; /* Color turquesa para los íconos */
}

/* Estilo base para los items */
.experience-item {
  padding: 5px;
  font-size: 14px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 10px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  border-radius: 20px;
  width: 60%;
  margin: 0 auto;
  margin-top: 15px;
}

.experience-item:hover {
  transform: scale(1.05);
  box-shadow: 0px 0px 6px 1px;
}

.iconify {
  font-size: 16px;
  vertical-align: middle;
}

/*
.Modern-Slider .item-1 .image {
  background-image: url(../img/encabezado1.png);
}

.Modern-Slider .item-2 .image {
  background-image: url(../img/encabezado2.png);
}

.Modern-Slider .item-3 .image {
  background-image: url(../img/encabezado3.jpg);
}
*/

.Modern-Slider .item .image {
  animation: zoomin 12s ease-in-out infinite alternate;
  -webkit-animation: zoomin 12s ease-in-out infinite alternate;
}

@keyframes zoomin {
    0% {-webkit-transform: scale(1);}
    100% {-webkit-transform: scale(1.2);}
}

.Modern-Slider {background:transparent;}

/* ==== Slick Slider Css Ruls === */
.slick-slider{position:relative;display:block;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;-khtml-user-select:none;-ms-touch-action:pan-y;touch-action:pan-y;-webkit-tap-highlight-color:transparent}
.slick-list{position:relative;display:block;overflow:hidden;margin:0;padding:0}
.slick-list:focus{outline:none}.slick-list.dragging{cursor:hand}
.slick-slider .slick-track,.slick-slider .slick-list{-webkit-transform:translate3d(0,0,0);-ms-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}
.slick-track{position:relative;top:0;left:0;display:block}
.slick-track:before,.slick-track:after{display:table;content:''}.slick-track:after{clear:both}
.slick-loading .slick-track{visibility:hidden}
.slick-slide{display:none;float:left /* If RTL Make This Right */ ;height:100%;min-height:1px}
.slick-slide.dragging img{pointer-events:none}
.slick-initialized .slick-slide{display:block}
.slick-loading .slick-slide{visibility:hidden}
.slick-vertical .slick-slide{display:block;height:auto;border:1px solid transparent}


/* Featured Style */


#projects::before {
  content: '\f07c'; /* Código del icono "code" de Font Awesome */
  font-family: 'Font Awesome 5 Free'; /* Fuente de Font Awesome */
  font-weight: 900;
  position: absolute;
  top: -10px;
  font-size: 18px; /* Tamaño del icono */
  color: #2fc4b1; /* Color del icono */
  text-shadow: 0 0 8px rgba(47, 196, 177, 0.8); /* Añadimos un leve resplandor al icono */
  box-shadow: 0 0 200px rgba(47, 196, 177, 0.4),
              10px 200 15px rgba(47, 196, 177, 0.3),
              20px 200 20px rgba(47, 196, 177, 0.2),
              30px 200 25px rgba(47, 196, 177, 0.1); /* Estela */
  animation: borderAnimadoDER 30s infinite ease-in-out;
  opacity: 0;
  filter: blur(5px); /* Comienza difuminado */
}

@keyframes borderAnimadoIZQ {
  0% {
    left: 0%; /* Fuera del contenedor al principio */
    opacity: 0; /* Invisible */
    filter: blur(5px); /* Comienza muy desenfocado */
  }
  20% {
    opacity: 1; /* Aparece suavemente */
    filter: blur(0px); /* El desenfoque desaparece a medida que se mueve */
  }
  50% {
    left: 110%; /* Moverse hasta el final del contenedor */
    opacity: 1;
  }
}

/* Projects Style */

#projects {
  padding-top: 5%;
  margin-bottom: 5%;
  width: 90%;
}

#projects .masonry {
  position: relative;
  width: 100%;
}

#projects .masonry .item img {
  transition: all 1s;
  width: 100%;
  overflow: hidden;
  margin-bottom: 30px;
}

#projects .masonry .item img:hover {
  opacity: 0.5;
}

/* Estilos generales de la sección */
#experience {
  width: 90%;
  color: #ffffff; /* Texto principal en blanco */
  padding-top: 5%;
  margin-bottom: 5%;
}


/* Contenido de los elementos de trabajo */
.work-items {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* 2 columnas */
  grid-template-rows: auto; /* Fila automática para ajustar el contenido */
  gap: 30px; /* Espacio entre los items */
}

.work-item {
  background-color: #1a1f2b; /* Fondo gris oscuro */
  padding: 20px;
  border-radius: 10px;
  transition: box-shadow 0.3s ease;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
}

.work-item:hover {
  box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.9); /* New shadow position and size */
}

.work-item .image img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.text-content h4, .project-info h4 {
  font-size: 24px;
  color: #2fc4b1; /* Color turquesa para títulos */
  margin-top: 15px;
  font-weight: 700;
}

.text-content span {
  font-size: 14px;
  color: #9ca5b3; /* Texto gris claro */
  display: block;
  margin-bottom: 10px;
}

.text-content p, .project-info p {
  font-size: 14px;
  color: #cccccc; /* Texto gris */
}

.featured-button {
  display: inline-block;
  background-color: #2fc4b1; /* Botón turquesa */
  color: #0b111e;
  padding: 8px 20px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
  cursor: pointer;
  border: none;
  margin-top: 1em;
}

.featured-button:hover {
  background-color: #1fa798; /* Botón más oscuro al hacer hover */
  color: black;
}

#experience::before {
  content: '\f0b1'; /* Código del icono "code" de Font Awesome */
  font-family: 'Font Awesome 5 Free'; /* Fuente de Font Awesome */
  font-weight: 900;
  position: absolute;
  top: -10px;
  font-size: 18px; /* Tamaño del icono */
  color: #2fc4b1; /* Color del icono */
  text-shadow: 0 0 8px rgba(47, 196, 177, 0.8); /* Añadimos un leve resplandor al icono */
  box-shadow: 0 0 200px rgba(47, 196, 177, 0.4),
              10px 200 15px rgba(47, 196, 177, 0.3),
              20px 200 20px rgba(47, 196, 177, 0.2),
              30px 200 25px rgba(47, 196, 177, 0.1); /* Estela */
  animation: borderAnimadoIZQ 30s infinite ease-in-out;
  opacity: 0;
  filter: blur(5px); /* Comienza difuminado */
}

#blog {
  width: 90%;
}


@keyframes borderAnimadoDER {
  0% {
    right: -10%; /* Fuera del contenedor al principio */
    opacity: 0; /* Invisible */
    filter: blur(5px); /* Comienza muy desenfocado */
  }
  20% {
    opacity: 1; /* Aparece suavemente */
    filter: blur(0px); /* El desenfoque desaparece a medida que se mueve */
  }
  50% {
    right: 100%; /* Moverse hasta el final del contenedor */
    opacity: 1;
  }
}

#blog .tabs {
  list-style: none;
  margin: 0px;
  padding: 0px;
  height: 90px;
  width: 100%;
  background-color: #eee;
  border-bottom: 10px solid #45489a;
}

#blog .tabs li {
  display: inline-block;
  text-align: center;
  width: 25%;
  float: left;
  margin: 0;
  padding: 0;
}

#blog .tabs a {
  display: block;
  text-align: center;
  text-decoration: none;
  text-transform: capitalize;
  letter-spacing: 0.5px;
  color: #232323;
  font-size: 19px;
  line-height: 80px;
  font-weight: 600;
  transition: 0.5s;
}

#blog .tabs a:hover {
  color: #45489a;
}


#blog .tabs .active:hover {
  color: #fff;
}

#blog .tabs .active {
  background-color: #45489a;
  color: #fff;
}

.tabgroup {
  background-color: #f4f4f4;
  padding: 20px 30px;
}

.clearfix:after {
  content:"";
  display:table;
  clear:both;
}

#blog .tabgroup ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

#blog .tabgroup ul li {
  display: inline-block;
  text-align: left;
  margin-bottom: 10px;
  padding-bottom: 20px;
  border-bottom: 1px solid #ddd;
}

#blog .tabgroup ul li:last-child {
  border-bottom: none;
  margin-bottom: 0px;
  padding-bottom: 10px;
}

#blog .tabgroup ul li img {
  float: left;
  margin-right: 30px;
  max-width: 100%;
  overflow: hidden;
}
#blog .tabgroup ul li .text-content {
  display: inline;
}

#blog .item .text-content h4 {
  padding-top: 7.5px;
  margin-top: 0px;
  margin-bottom: 5px;
  font-size: 21px;
  font-weight: 600;
  color: #232323;
  letter-spacing: 0.5px;
}

#blog .item .text-content span {
  display: inline-block;
  font-size: 15px;
  font-weight: 600;
  color: #7a7a7a;
  letter-spacing: 0.5px;
  margin-bottom: 15px;
}

#blog .item .text-content .accent-button {
  margin-top: 25px;
}

/* Footer Style */

.footer {
  font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
  height: 80px;
  line-height: 80px;
  display: inline-block;
  text-align: center;
  width: 100%;
}

.footer p {
  margin-bottom: 0px;
  font-size: 13px;
  line-height: 80px;
  color: #fff;
  letter-spacing: 0.5px;
  font-weight: 300;
}

.footer p a {
  text-decoration: none;
  color: #fff;
  font-weight: 600;
}

.tooltip {
  font-family: 'Open Sans', sans-serif;
  font-size: 11px;
  visibility: hidden;
  /*
  background-color: #0b111e;
  */
  background: none;
  color: #2fc4b1;
  text-align: center;
  border-radius: 6px;
  position: absolute;
  z-index: 1;
  bottom: 100%;
  left: 50%;
  margin-left: -100%;
  opacity: 0;
  transition: opacity 0.3s;
  padding: 5px;
  border: 0.1px solid #2fc4b1;
  font-weight: 700;
}

.icon-container {
  position: relative;
  display: inline-block;
}

.icon-container:hover .tooltip {
  visibility: visible;
  opacity: 1;
  
}

.texto-portada {
  font-family: 'Open Sans', sans-serif;
  font-style: normal;
  font-weight: 700;
  color: #2fc4b1;
  font-size: 16px;
  margin-top: 15px;
  opacity: 0;
  transition: opacity 0.5s ease, transform 0.5s ease;
  transform: translateY(10px);
}

.imagen-portada {
  height: 100%;
  max-width: 100%;
  border-radius: 5px;
  transition: all 0.5s ease;
}

.opentowork {
  position: absolute;
  bottom: 70%; /* Ajusta la posición vertical */
  left: 67%; /* Ajusta la posición horizontal */
  transform: translate(-50%, -50%); /* Centrar en ambas direcciones */
  background-color: green;
  color: #fff;
  font-weight: 700;
  border-radius: 5px;
  opacity: 0;
  display: flex; /* Usamos Flexbox */
  justify-content: center; /* Centra el texto horizontalmente */
  align-items: center; /* Centra el texto verticalmente */
  transition: opacity 0.5s ease, transform 0.5s ease;
  height: 14%;
  width: 44%;
  font-size: 14px;
}

.logo:hover .imagen-portada {
  box-shadow: 0 2px 15px #2fc4b1;
  transform: scale(1.05);
}

.logo:hover .texto-portada {
  opacity: 1;
  transform: translateY(0);
  text-shadow: 0px -5px 5px rgba(11,17,30,1);
}

.logo:hover .opentowork {
  opacity: 1;
  transform: translateY(0); /* Aparece suavemente desde abajo */
  box-shadow: 0 2px 15px #2fc4b1;
}

.hidden-text {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, opacity 0.5s ease; /* Animation settings */
}

/* Shown state */
.shown-text {
  max-height: 200px; /* Adjust the height as necessary */
  opacity: 1;
}

.iconos-we {
  height: 40px;
  width: auto;
  color: #2fc4b1;
  background: none;
  padding: 0;
  margin-right: 2px;
  margin-left: 2px;
}

/* Sección de proyectos */
.projects-section {
  padding: 40px 20px;
  background-color: #0b111e;
  color: #ffffff;
  text-align: center;
}

.project-container {
  position: relative;
  width: 100%;
  height: 250px;
  margin-bottom: 20px;
}

.project-card {
  top: 0;
  left: 0;
  width: 100%;
  display: none;
  opacity: 0;
  transition: opacity 0.5s ease-in-out
}

.project-card.active {
  display: flex;
  opacity: 1;
  transform: translateX(0);
}

.project-image img {
  width: 250px;
  border-radius: 12px;
}

.project-info {
  display: grid;
  align-items: center;
  text-align: left;
  flex: 1;
  height: 250px;
  padding-left: 15px;
}

.project-tags {
  margin-bottom: 15px;
}

.tag-button {
  color: yellow;
  background: none;
  border: 1px solid yellow;
  border-radius: 20px;
  padding: 5px 15px;
  margin-right: 8px;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.tag-button:hover {
  background-color: yellow;
  color: #0b111e;
}

.project-links {
  margin-top: 10px;
}

.project-link {
  display: inline-block;
  color: #2fc4b1;
  margin-right: 15px;
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s ease;
}

.project-link:hover {
  color: #1fa798;
}

/* Botón de Mostrar Más */
.show-more-button {
  display: inline-block;
  margin-top: 20px;
  padding: 10px 20px;
  background-color: #2fc4b1;
  color: #0b111e;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

.show-more-button:hover {
  background-color: #1fa798;
}

/* Navegación de Proyectos */
.project-navigation {
  margin-top: 20px;
}

.nav-button {
  background-color: #2fc4b1;
  border: none;
  color: #0b111e;
  font-size: 24px;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  cursor: pointer;
  transition: transform 0.3s ease, background-color 0.3s ease;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin: 0 10px;
}

.nav-button:hover {
  background-color: #1fa798;
  transform: scale(1.1);
}

.fade-in {
  opacity: 1;
  transform: translateX(0);
  animation: fadeIn 0.5s ease-in-out;
}

.fade-out {
  opacity: 0;
  transform: translateX(-20px);
  animation: fadeOut 0.5s ease-in-out;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateX(20px); }
    to { opacity: 1; transform: translateX(0); }
}

@keyframes fadeOut {
    from { opacity: 1; transform: translateX(0); }
    to { opacity: 0; transform: translateX(-20px); }
}

.projects-column {
  display: flex; 
  justify-content: space-between;
  margin: 0;
}

.education-container {
  width: 100%;
}

.education-item {
  background-color: #1a1f2b;
  padding: 40px;
  border-radius: 10px;
  width: 100%;
  text-align: left;
  position: relative; /* Para alinear el ícono */
  padding-left: 50px; /* Deja espacio para el ícono */
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  margin-bottom: 15px;
}

.education-item:hover {
  transform: translateY(-5px);
  box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.9); /* New shadow position and size */
}

.education-icon {
  position: absolute;
  top: 20px;
  left: 20px;
  font-size: 30px;
  color: #2fc4b1;
}

.education-item h2 {
  font-size: 20px;
  color: #2fc4b1;
  margin-bottom: 5px;
}

.education-item p {
  font-size: 16px;
  color: #cccccc;
  margin-bottom: 5px;
}

.contact-message p strong {
  font-size: 16px;
  color: #fff;
  margin-bottom: 15px;
}

.education-dates {
  font-size: 14px;
  color: #9ca5b3;
  font-style: italic;
  margin-bottom: 5px;
}

#education::before {
  content: '\f19d'; /* Código del icono "code" de Font Awesome */
  font-family: 'Font Awesome 5 Free'; /* Fuente de Font Awesome */
  font-weight: 900;
  position: absolute;
  top: -10px;
  font-size: 18px; /* Tamaño del icono */
  color: #2fc4b1; /* Color del icono */
  text-shadow: 0 0 8px rgba(47, 196, 177, 0.8); /* Añadimos un leve resplandor al icono */
  box-shadow: 0 0 200px rgba(47, 196, 177, 0.4),
              10px 200 15px rgba(47, 196, 177, 0.3),
              20px 200 20px rgba(47, 196, 177, 0.2),
              30px 200 25px rgba(47, 196, 177, 0.1); /* Estela */
  animation: borderAnimadoIZQ 30s infinite ease-in-out;
  opacity: 0;
  filter: blur(5px); /* Comienza difuminado */
}

.contact-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.contact-buttons a {
  text-decoration: none;
}

.contact-button {
  background-color: #2fc4b1;
  color: #0b111e;
  font-size: 16px;
  font-weight: bold;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  gap: 10px;
  transition: background-color 0.3s ease, transform 0.3s ease;
  cursor: pointer;
}

.contact-button:hover {
  background-color: #1fa798;
  transform: scale(1.05);
}

.contact-button.github { background-color: #24292e; color: #ffffff; }
.contact-button.github:hover { background-color: #333; }

.contact-button.linkedin { background-color: #0077b5; color: #ffffff; }
.contact-button.linkedin:hover { background-color: #005582; }

.contact-button.cv { background-color: #d9534f; color: #ffffff; }
.contact-button.cv:hover { background-color: #c9302c; }

.contact-button.email { background-color: #2fc4b1; color: #0b111e; }
.contact-button.email:hover { background-color: #1fa798; }

/* Modal project container */
.modal-project {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 1000;
  justify-content: center;
  align-items: center;
}

.modal-project-content {
  width: 70%;
  height: 85%;
  background: #ffffff;
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  position: relative;
}

.modal-project-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: flex-start;
}

.modal-project-body img {
  width: 70%;
  border-radius: 5px;
  margin-bottom: 15px;
  border: 2px solid gainsboro;
}

.modal-project-body h1 {
  font-size: 20px;
  margin: 0;
  color: black;
  max-width: 85%;
  font-weight: 700;
}

.modal-project-body p {
  margin-top: 10px;
  font-size: 12px;
  color: #333;
  max-width: 85%;
  line-height: 1.5;
}

.modal-project-navigation {
  display: flex;
  justify-content: space-between;
  width: 100%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.close {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  cursor: pointer;
}

@keyframes mostrarModalProyecto {
  from { opacity: 0; }
  to { opacity: 1; }
}

@keyframes cerrarModalProyecto {
  from { opacity: 1; }
  to { opacity: 0; }
}

.btn-project-redirect {
  display: flex; 
  align-items: center;
  justify-content: center;
  background-color: white;
  border-radius: 50%;
  position:absolute;
  width: 30px;
  height: 30px;
  top: 100px;
  cursor: pointer;
  color: #2fc4b1;
  box-shadow: 0 0px 10px rgba(0, 0, 0, 0.4);
}

.btn-project-redirect:hover {
  background-color: #1a1f2b;
  transition: background-color 0.3s ease, transform 0.3s ease; 
}
